function dYfuncvecdt = ODEfun(t,Yfuncvec); 
Cc= Yfuncvec(1);
Cp= Yfuncvec(2);
Co= Yfuncvec(3);
% Explicit equations
ke =  2.0;  
kr =  3.0;  
kcp = 1.0; 
kpc = 1.0; 
ka =  4.0;  
% Differential equations
dCcdt =  -(ke+kr+kcp)*Cc + kpc*Cp + ka*Co; % Concentration of drug in Central Compartment
dCpdt =  -kpc*Cp + kcp*Cc;  % Concentration of drug in Peripheral Compartment
dCodt =  -ka * Co;  % Concentration of drug in Oral Compartment
dYfuncvecdt=[dCcdt;dCpdt;dCodt];



